Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227540 - yum-priorities should allow packages of different arch from low-prio repos
Summary: yum-priorities should allow packages of different arch from low-prio repos
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: yum-utils
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-06 19:33 UTC by David Juran
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: FC6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-17 18:23:29 UTC


Attachments (Terms of Use)
modified version of priorities yum plugin (deleted)
2007-02-14 13:34 UTC, Tim Lauridsen
no flags Details

Description David Juran 2007-02-06 19:33:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.0.9) Gecko/20070131 Fedora/1.5.0.9-2.fc6 Firefox/1.5.0.9 pango-text

Description of problem:
yum-priorities should allow updating an rpm from a low-prio repository although an rpm of a higher prio of an different arch is installed.

Version-Release number of selected component (if applicable):
yum-priorities-1.0.1-1.fc6

How reproducible:
Always


Steps to Reproduce:
1. On your standard x86_64 machine, configure an extras.i386 repo where the extras.i386 has the baseurl=http://download.fedora.redhat.com/pub/fedora/linux/extras/$releasever/i386 and lower priority (=higher number) then the x86_64 repo.
2. Install an old version of lesstif.i386 and the latest version of lesstif.x86_64 
3. run yum upgrade

Actual Results:
You were not notified that there was an update available for lesstif.i386

Expected Results:


Additional info:

Comment 1 Tim Lauridsen 2007-02-14 13:34:53 UTC
Created attachment 148049 [details]
modified version of priorities yum plugin

Comment 2 Tim Lauridsen 2007-02-14 13:37:23 UTC
Please try save the attached priorities.py and copy it to /usr/lib/yum-plugins
(as root) and see if it solves the issue.

Comment 3 David Juran 2007-02-18 15:44:14 UTC
Yes, I think this behaviour is much better (-:

Comment 4 David Juran 2007-03-17 18:23:29 UTC
Fixed in yum-utils-1.0.3-1.fc6. Thanks (-:


Note You need to log in before you can comment on or make changes to this bug.